GENERAL INFORMATION
Purpose
This endpoint is used for sharing product size information.
How the data is used
The size information is of course crucial for the product information. The size information is shown throughout the customer portal to help users identify the SKU they are working with:
.png?sv=2026-02-06&spr=https&st=2026-06-08T06%3A50%3A57Z&se=2026-06-08T07%3A03%3A57Z&sr=c&sp=r&sig=iEnHcm6WIGmqocZVP876%2BSBk1IG2dPNaJQkgFuwMQDM%3D)
This makes it a mandatory dataset to share.
Best practices
Make sure to update the sizes on a regular basis, recommended minimum once a day, to ensure the size information is complete and in-line with the sizes assigned to the items.
Ensure that the id you are using in this endpoint aligns with the sizeId you are assigning to the SKUs in this endpoint POST /Items
For the description use a clear, short description of the size, typically “M”, “L“, “38”, “42.5”, or “10.5”.
Make sure you use the sortOrder field to give a proper sorting to your sizes. We use this sort order to correctly display the sizes throughout our entire portal:
.png?sv=2026-02-06&spr=https&st=2026-06-08T06%3A50%3A57Z&se=2026-06-08T07%3A03%3A57Z&sr=c&sp=r&sig=iEnHcm6WIGmqocZVP876%2BSBk1IG2dPNaJQkgFuwMQDM%3D)
If you do not send the sortOrder, we fall back to alphabetical sorting, which would result in the screen above to be sorted in sizes 3XL, L, M, S, XL, XS, XXL which makes no sense to the users, making it almost a mandatory field for the business.
Common pitfalls
Do not generated a random id for the sizeId field in the integration, only use system generated id’s that are fixed in the source system, as you need the same id to also be able to be able to update the size information.
A common pitfall is to send a system generated id in the code field, which can make it unclear for users in our customer portal to see which size they are looking at.
Underestimating the importance of the sortOrder, as explained in the best practices, can also be a pitfall.
Example use cases
As a merchandiser I want to check the current stock level and replenishment targets for all the sizes of my product.
REQUEST
Authentication
Bearer token, information on page POST /Token
Headers
Name | Description | Example |
|---|---|---|
X-Tenant | Tenant code supplied by Wair | “TENANT” |
QueryParameters:
Name | Description | Example |
|---|---|---|
fullLoad | See documentation: Integration core principles | true |
Body example:
{
"sizes": [
{
"sizeId": "b7f673de-fb85-433a-b85c-3f2978b9a56d",
"code": "XL",
"description": "XL",
"sortOrder": "5",
},
{
"sizeId": "c9b798c5-afb6-4352-9a50-9fbb7d9237e2",
"code": "L",
"description": "L",
"sortOrder": "4",
"horizontalComponent": "W32"
"verticalComponent": "L34"
}
]
}Additional information:
Fieldname | Context | Mandatory | Type / max characters |
|---|---|---|---|
sizeId | Unique identifier for this season, needs to be unique across all seasons. If you want to update a size, send the size again using this id. | Yes | string / 80 characters |
code | A business key of the size, often user defined/recognizable. | Yes | string / 60 characters max |
description | The description of the size | No, but highly preferred | string / 255 characters max |
sortOrder | The sort order of the sizes as explained in the best practices point 4. Please note that this is a string, so if you have an integers in your sorting order you will need to pad them (“1”, “100” will become “001”, “100”) in order to keep the sorting correct. | Technically no, but for the business almost mandatory | string / 20 characters max |
horizontalComponent | In case of a size that consists of multiple dimensions, like a jeans size here you can set the horizontal component of the size, for example the jeans length size. | No | string / 60 characters max |
verticalComponent | Like the horizontal component, used for sizes with multiple dimensions where you can set the width size of the jeans for example | No | string / 60 characters max |
RESPONSE
StatusCodes:
200 = OK
401 = Unauthorized, which means an expired/missing/invalid token
400 = Bad request, see body of the response to check which validation errors have occured
500 = System error, see body of the response to check which error has occured or contact integration support
Body Example:
No body in the response